Bug 2153064 - CVE-2022-32221 davix: curl: POST following PUT confusion [epel-all]
Summary: CVE-2022-32221 davix: curl: POST following PUT confusion [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: davix
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mihai Patrascoiu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-32221
TreeView+ depends on / blocked
 
Reported: 2022-12-13 22:06 UTC by Anten Skrabec
Modified: 2022-12-24 01:21 UTC (History)
4 users (show)

Fixed In Version: davix-0.8.3-1.el8 davix-0.8.3-1.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-24 00:41:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Anten Skrabec 2022-12-13 22:06:03 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2135411

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Anten Skrabec 2022-12-13 22:06:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2135411,2153064

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-12-15 14:52:37 UTC
FEDORA-EPEL-2022-5d08436b7d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5d08436b7d

Comment 3 Fedora Update System 2022-12-15 14:52:38 UTC
FEDORA-EPEL-2022-2b4c6176d0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2b4c6176d0

Comment 4 Mattias Ellert 2022-12-15 14:54:28 UTC
The bundled curl library code in davix is only used in the EPEL 7 and 8 builds.
EPEL 9 and Fedora builds uses the system curl library.

Comment 5 Fedora Update System 2022-12-16 02:07:17 UTC
FEDORA-EPEL-2022-5d08436b7d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5d08436b7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-12-16 02:08:36 UTC
FEDORA-EPEL-2022-2b4c6176d0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2b4c6176d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-12-24 00:41:02 UTC
FEDORA-EPEL-2022-5d08436b7d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-12-24 01:21:42 UTC
FEDORA-EPEL-2022-2b4c6176d0 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.